[@rxap/ngx-material-authentication](../wiki/globals) / SetNewPasswordWithResetTokenMethod

# Class: SetNewPasswordWithResetTokenMethod

Defined in: [reset-password/set-new-password-with-reset-token.method.ts:10](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/set-new-password-with-reset-token.method.ts#L10)

## Implements

- `Method`

## Constructors

### new SetNewPasswordWithResetTokenMethod()

> **new SetNewPasswordWithResetTokenMethod**(): [`SetNewPasswordWithResetTokenMethod`](../wiki/Class.SetNewPasswordWithResetTokenMethod)

#### Returns

[`SetNewPasswordWithResetTokenMethod`](../wiki/Class.SetNewPasswordWithResetTokenMethod)

## Methods

### call()

> **call**(`parameters`): `Promise`\<`void`\>

Defined in: [reset-password/set-new-password-with-reset-token.method.ts:12](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/set-new-password-with-reset-token.method.ts#L12)

#### Parameters

##### parameters

[`SetNewPasswordWithResetTokenMethodParameters`](../wiki/Interface.SetNewPasswordWithResetTokenMethodParameters)

#### Returns

`Promise`\<`void`\>

#### Implementation of

`Method.call`
